org.jCharts.properties

## Class AxisChartTypeProperties

- java.lang.Object
- - org.jCharts.properties.ChartTypeProperties
  - - org.jCharts.properties.AxisChartTypeProperties

- All Implemented Interfaces:
    HTMLTestable
  Direct Known Subclasses:
    AreaChartProperties, BarChartProperties, LineChartProperties, PointChartProperties, ScatterPlotProperties, StockChartProperties

      public abstract class AxisChartTypeProperties
      extends ChartTypeProperties
      implements HTMLTestable

  Common parent for all Chart type specific properties Objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ArrayList` | `postRenderEventListeners`
    `private ArrayList` | `preRenderEventListeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisChartTypeProperties()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPostRenderEventListener(PostAxisValueRenderListener postRenderListener)` Allows you to get callbacks for custom implementations to render on the axis and to control the renderering on the axis after a value is drawn.
    `void` | `addPreRenderEventListener(PreAxisValueRenderListener preRenderListener)` Allows you to get callbacks for custom implementations to render on the axis and to control the renderering on the axis before a value is drawn.
    `void` | `firePostRender(AxisValueRenderEvent axisValueRenderEvent)`
    `void` | `firePreRender(AxisValueRenderEvent axisValueRenderEvent)`
    `abstract void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jCharts.test.HTMLTestable

      `toHTML`

- - ### Field Detail

    - #### preRenderEventListeners

          private ArrayList preRenderEventListeners

    - #### postRenderEventListeners

          private ArrayList postRenderEventListeners

  - ### Constructor Detail

    - #### AxisChartTypeProperties

          public AxisChartTypeProperties()

  - ### Method Detail

    - #### validate

          public abstract void validate(IAxisPlotDataSet iAxisPlotDataSet)
                                 throws PropertyException

      Throws:
        `PropertyException`

    - #### addPreRenderEventListener

          public void addPreRenderEventListener(PreAxisValueRenderListener preRenderListener)

      Allows you to get callbacks for custom implementations to render on the axis and to control the renderering on the axis before a value is drawn.
      Parameters:
        `preRenderListener` -

    - #### firePreRender

          public void firePreRender(AxisValueRenderEvent axisValueRenderEvent)

      Parameters:
        `axisValueRenderEvent` -

    - #### addPostRenderEventListener

          public void addPostRenderEventListener(PostAxisValueRenderListener postRenderListener)

      Allows you to get callbacks for custom implementations to render on the axis and to control the renderering on the axis after a value is drawn.
      Parameters:
        `postRenderListener` -

    - #### firePostRender

          public void firePostRender(AxisValueRenderEvent axisValueRenderEvent)

      Parameters:
        `axisValueRenderEvent` -